Account User
The details of a User resource.
User object
The details of a User resource.
- namestringBetaIDImmutable
The resource name of the user. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/users/{user_id}
- Workspace-scoped: users/{user_id}
- parentstringBetaOutput onlyImmutable
The resource name of the account that contains the user,
accounts/{account_id}. Both the account-scoped and workspace-scoped APIs return it.
- account_idstringBetaOutput onlyImmutable
The accountId parent of the user in Databricks.
- user_idstringBetaOutput onlyImmutable
Internal userId of the user in Databricks.
- external_idstringBeta
ExternalId of the user in the customer's IdP.
- usernamestringBetaImmutable
Username/email of the user.
- full_nameobjectBeta
Show child attributesHide child attributes
- given_namestringBeta
- family_namestringBeta
- account_user_statusstringBeta
The activity status of a user in a Databricks account.
ACTIVEINACTIVE
Get a user in the account Beta
GET
Fetches a user from the Databricks account by its internal ID.
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the user. Format: accounts/{account_id}/users/{user_id}
Response
Returns the User object.
List users in the account Beta
GET
Lists the users in the Databricks account, returning one page per call. Supports filtering by username or external ID.
API scopes: identity
Parameters
- parentstringRequiredpath
The parent resource name of the account whose users to list. Format: accounts/{account_id}
- page_sizeint32query
The maximum number of users to return. The service may return fewer than this value. If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.
- page_tokenstringquery
A page token, received from a previous ListUsers call. Provide this to retrieve the subsequent page.
- filterstringquery
Optional. Allows filtering users by username or external id.
Response
Returns a list of User objects.
Create a user in the account Beta
POST
Creates a local user in the Databricks account and returns the created user. A local user is one that is not synced from the customer's identity provider, and can be created whether or not Account Identity Management (AIM) is enabled.
When AIM is enabled, supplying an external ID returns an error. To provision the identity from your identity provider, resolve it by its external ID with ResolveUser; to read an existing external identity, use the ExternalUser resource.
API scopes: identity
Parameters
- parentstringRequiredpath
The parent resource name of the account in which to create the user. Format: accounts/{account_id}
Request body
Required. User to be created in Databricks
- namestringIDImmutable
The resource name of the user. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/users/{user_id}
- Workspace-scoped: users/{user_id}
- external_idstring
ExternalId of the user in the customer's IdP.
- usernamestringRequiredImmutable
Username/email of the user.
- full_nameobjectRequired
Show child attributesHide child attributes
- given_namestring
- family_namestring
- account_user_statusstringRequired
The activity status of a user in a Databricks account.
ACTIVEINACTIVE
Response
Returns the User object.
Update a user in the account Beta
PATCH
Updates an existing user in the Databricks account and returns the updated user. Only the fields named in the update mask are modified. The updatable fields are fullName.givenName, fullName.familyName, status, and externalId.
When AIM is enabled and the user is an external identity (its external_id is set), only external_id can be updated; its other fields are sourced from your identity provider.
API scopes: identity
Parameters
- namestringRequiredIDImmutablepath
The resource name of the user. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/users/{user_id}
- Workspace-scoped: users/{user_id}
- update_maskstringRequiredquery
Required. The list of fields to update.
Request body
Required. User to be updated in Databricks
- external_idstring
ExternalId of the user in the customer's IdP.
- usernamestringRequiredImmutable
Username/email of the user.
- full_nameobjectRequired
Show child attributesHide child attributes
- given_namestring
- family_namestring
- account_user_statusstringRequired
The activity status of a user in a Databricks account.
ACTIVEINACTIVE
Response
Returns the User object.
Delete a user in the account Beta
Resolve an external user in the Databricks account Beta
POST
Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Parameters
- account_idstringRequiredpath
Required. The account ID for which the user is being resolved.
Request body
- external_idstringRequired
Required. The external ID of the user in the customer's IdP.
Response
- userobject
The user that was resolved.
Show child attributesHide child attributes
- namestringIDImmutable
The resource name of the user. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/users/{user_id}
- Workspace-scoped: users/{user_id}
- parentstringOutput onlyImmutable
The resource name of the account that contains the user,
accounts/{account_id}. Both the account-scoped and workspace-scoped APIs return it.
- account_idstringOutput onlyImmutable
The accountId parent of the user in Databricks.
- user_idstringOutput onlyImmutable
Internal userId of the user in Databricks.
- external_idstring
ExternalId of the user in the customer's IdP.
- usernamestringRequiredImmutable
Username/email of the user.
- full_nameobjectRequired
Show child attributesHide child attributes
- given_namestring
- family_namestring
- account_user_statusstringRequired
The activity status of a user in a Databricks account.
ACTIVEINACTIVE